/*
  AnalogReadSerial
 Reads an analog input on pin 0, prints the result to the serial monitor 
 
 This example code is in the public domain.
 */
int lightMode = 0;
int pre = 0;

void setup() {
  Serial.begin(9600);
  pinMode(5,OUTPUT);
  
}

void loop() {
  int sensorValue = analogRead(A0);
  Serial.println(sensorValue, DEC);
  if(sensorValue < 10 && (pre - sensorValue) > 50)
  {
    if(lightMode == 0)
    {
       digitalWrite(5, HIGH);
       lightMode = 1;
       delay(500);
    }
    else
    {
       digitalWrite(5,LOW); 
       lightMode = 0;
       delay(500);
    }

  }
  pre = sensorValue;

}
